PointerInfo (Java Platform SE 8 )
Keywords: java.awt.PointerInfo class
Date: 2015-05-24

java.awt

## Class PointerInfo

- java.lang.Object
- - java.awt.PointerInfo

-     public class PointerInfo
      extends Object

  A class that describes the pointer position. It provides the `GraphicsDevice` where the pointer is and the `Point` that represents the coordinates of the pointer.

  Instances of this class should be obtained via `MouseInfo.getPointerInfo()`. The `PointerInfo` instance is not updated dynamically as the mouse moves. To get the updated location, you must call `MouseInfo.getPointerInfo()` again.

  Since:
    1.5
  See Also:
    `MouseInfo.getPointerInfo()`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphicsDevice` | `getDevice()` Returns the `GraphicsDevice` where the mouse pointer was at the moment this `PointerInfo` was created.
    `Point` | `getLocation()` Returns the `Point` that represents the coordinates of the pointer on the screen.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDevice

          public GraphicsDevice getDevice()

      Returns the `GraphicsDevice` where the mouse pointer was at the moment this `PointerInfo` was created.
      Returns:
        `GraphicsDevice` corresponding to the pointer
      Since:
        1.5

    - #### getLocation

          public Point getLocation()

      Returns the `Point` that represents the coordinates of the pointer on the screen. See `MouseInfo.getPointerInfo()` for more information about coordinate calculation for multiscreen systems.
      Returns:
        coordinates of mouse pointer
      Since:
        1.5
      See Also:
        `MouseInfo`, `MouseInfo.getPointerInfo()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.